Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:       nodejs-archy
Version:    1.0.0
Release:    alt1_7
Summary:    Renders nested hierarchies with unicode pipes
License:    MIT
URL:        https://github.com/substack/node-archy
Source0:    http://registry.npmjs.org/archy/-/archy-%{version}.tgz
BuildArch:  noarch

BuildRequires:  node-devel rpm-build-nodejs
Source44: import.info

%description
Render nested hierarchies with unicode pipes, `npm ls` style.

%prep
%setup -q -n package

%build
#nothing to do

%install

mkdir -p %{buildroot}%{nodejs_sitelib}/archy
cp -p index.js package.json %{buildroot}%{nodejs_sitelib}/archy

%nodejs_symlink_deps

# tests disabled until tap is packaged
#%%check
#%%tap test

%files
%{nodejs_sitelib}/archy
%doc readme.markdown examples
%doc --no-dereference LICENSE

%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1_9
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1_8
- initial import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1_6
- initial import

